Subject: Re: Using glib(c) and gtk+ in Cygwin
From: Todd Goodman <[email-masked]>
To: Jonas Jensen <[email-masked]>
Cc: Cygwin list <[email-masked]>
Date: Tue, 27 Jun 2000 11:45:05 -0400

* Jonas Jensen <[email-masked]> [000627 11:31]:
> Often, when I compile some 3rd party programs (as an example, nmap) on Cygwin
> (1.1.2), they fail because they require "glib", "glibc" and "gtk+". I'm pretty new
> to GNU/Cygwin stuff, but I'm guessing these are libraries?
> 
> I have downloaded them all, but I can't install them because the configure scripts
> fail.
> 
> *glib (1.2.8) configures ok but gives me all sorts of compile errors. I managed to
> fix the first one (something in g_strsignal), but I have no idea how to replace
> the pthread_cond_t it calls all the time.

You need to tell it not to use threading (or get the pthread lib from
http://sourceware.cygnus.com).  I think the configure command to disable
threading is --enable-thread=no (try ./configure --help).

> *glibc (2.1.3) won't run configure, because it claims that it hasn't been ported
> to "i686-pc-cygwin".

You most likely don't want to be doing anything with this.

> *gtk+ (1.2.8) can't run without glib.

This builds fine once glib is built.

Regards,

Todd Goodman

> 
> I'm assuming that these files are pretty commonly used, so it should be possible
> to get them working on the Cygwin system, right?
> Am I using the right compile methods? I type:
> 
> ./configure
> make
> make install
> 
> And it fails at the configure or make. What am I doing wrong?
> 
> I didn't include the excact error messages here, because I assume that many people
> will have these libraries compiled and working... they seem to be pretty much the
> foundation of all the GNU software, so why don't they work out of the box? Do I
> need to modify them for Cygwin, or should I download something other than the
> official releases?
> 
> Thanks,
> Jonas Jensen
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]